﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridVirtualization
{
    public sealed class DataModel
    {
        public static IEnumerable<Movie> GetMovies()
        {
            var images = 90;
            for (int j = 0; j < 10; j++)
            {
                for (int i = 0; i < images; i++)
                {
                    var number = j * images + i + 1;
                    yield return new Movie { Id = i + 1, Title = "Picture title #" + number, Tagline = "Description", Location = "Assets/cover" + (i + 1).ToString("D3") + ".jpg" };
                }
            }
        }
    }

    public sealed class Movie
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public string Tagline { get; set; }
        public string Location { get; set; }
    }


}
