@echo off

reg add HKEY_LOCAL_MACHINE\Software\Microsoft\XAML /v EnableOverdrawHeatMap /t REG_DWORD /d 1 /f /reg:32
if %errorlevel% neq 0 (goto :EXIT_FAIL)

REM If we are on a 64-bit OS, we also need to clear the 64-bit hive
if '%PROCESSOR_ARCHITECTURE%' equ 'AMD64' ( goto :SET_64)
if '%PROCESSOR_ARCHITEW6432%' equ 'AMD64' ( goto :SET_64)
goto :EXIT_SUCCESS


:SET_64
reg add HKEY_LOCAL_MACHINE\Software\Microsoft\XAML /v EnableOverdrawHeatMap /t REG_DWORD /d 1 /f /reg:64
if %errorlevel% neq 0 (goto :EXIT_FAIL)


:EXIT_SUCCESS
echo Regkeys successfully installed 
exit /b

:EXIT_FAIL
echo Failure installing reg keys
exit /b %errorlevel%
